Product Specification

Using the Google Books API your application should let a user search for an author to retrieve
information about his / her books.

A. Landing Page - Login with OAuth 2.0
a. The landing page of your application contains a “Login with Google” button. Be
creative with the design of the landing page.
b. Clicking on the button starts the authentication flow.
c. Upon successful authentication, the user is redirected to the “Author Search”
page.

B. Author Search
a. The page contains a search input with placeholder text: “Search for an author…”
b. When pressing the “Enter” key inside the search box, the user is presented with
the results of books authored by the search query
c. Bonus: Implement a “search-as-you-type” functionality

C. Browsing books
a. Displays the results from (B)
b. The results should show as a grid of book tiles
c. And the following specifications
i. Show the newest authored books first
ii. Only show books that are downloadable as free ebooks.
iii. Display the book image iv. Display the publisher
v. Display the publish date
vi. Displays the author(s)
vii. Can be clicked to display a preview of the book and a link to download
viii. Displays the book’s rating as a star rating (1-5 stars)
ix. Displays the books number of ratings

D. Previewing books
a. Displays an Embedded Viewer that shows a preview of the book
b. Displays a download link that would allow the user to download the book either
as epub or pdf
c. Displays the following information about the book:
i. Title
ii. Authors
iii. Page Count
iv. Publisher
v. Language
d. Clickin on the back button of the browser returns to the previous search results
in (C)
